package com.foreverwin.mesnac.common.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author zjw
 * @since 2021-08-02
 */

@TableName("Z_MESSAGE")

public class Message extends Model<Message> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 异常单
     */
   @TableField("OBJECT_BO")
   private String objectBo;
    /**
     * 异常类型
     */
   @TableField("TYPE")
   private String type;
    /**
     * 消息类型
     */
   @TableField("MESSAGE_TYPE")
   private String messageType;
    /**
     * 发送用户组
     */
   @TableField("SEND_USER_GROUP")
   private String sendUserGroup;
    /**
     * 发送用户
     */
   @TableField("SEND_USER")
   private String sendUser;
    /**
     * 消息内容
     */
   @TableField("CONTENT")
   private String content;
    /**
     * 升级用户组
     */
   @TableField("UP_USER_GROUP")
   private String upUserGroup;
    /**
     * 升级用户
     */
   @TableField("UP_USER")
   private String upUser;
    /**
     * 升级消息类型
     */
   @TableField("UP_MESSAGE_TYPE")
   private String upMessageType;
    /**
     * 升级时间
     */
   @TableField("UP_DATE_TIME")
   private LocalDateTime upDateTime;
    /**
     * 等级
     */
   @TableField("GRADE")
   private Double grade;
    /**
     * 消息触发时间
     */
   @TableField("RESPONSE_DATE_TIME")
   private LocalDateTime responseDateTime;
    /**
     * 异常节点
     */
   @TableField("NODE")
   private String node;
    /**
     * 状态
     */
   @TableField("STATUS")
   private String status;
    /**
     * 创建人
     */
   @TableField("CREATED_USER")
   private String createdUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFIED_USER")
   private String modifiedUser;
    /**
     * 修改日期
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getObjectBo() {
      return objectBo;
   }

   public void setObjectBo(String objectBo) {
      this.objectBo = objectBo;
   }

   public String getType() {
      return type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getMessageType() {
      return messageType;
   }

   public void setMessageType(String messageType) {
      this.messageType = messageType;
   }

   public String getSendUserGroup() {
      return sendUserGroup;
   }

   public void setSendUserGroup(String sendUserGroup) {
      this.sendUserGroup = sendUserGroup;
   }

   public String getSendUser() {
      return sendUser;
   }

   public void setSendUser(String sendUser) {
      this.sendUser = sendUser;
   }

   public String getContent() {
      return content;
   }

   public void setContent(String content) {
      this.content = content;
   }

   public String getUpUserGroup() {
      return upUserGroup;
   }

   public void setUpUserGroup(String upUserGroup) {
      this.upUserGroup = upUserGroup;
   }

   public String getUpUser() {
      return upUser;
   }

   public void setUpUser(String upUser) {
      this.upUser = upUser;
   }

   public String getUpMessageType() {
      return upMessageType;
   }

   public void setUpMessageType(String upMessageType) {
      this.upMessageType = upMessageType;
   }

   public LocalDateTime getUpDateTime() {
      return upDateTime;
   }

   public void setUpDateTime(LocalDateTime upDateTime) {
      this.upDateTime = upDateTime;
   }

   public Double getGrade() {
      return grade;
   }

   public void setGrade(Double grade) {
      this.grade = grade;
   }

   public LocalDateTime getResponseDateTime() {
      return responseDateTime;
   }

   public void setResponseDateTime(LocalDateTime responseDateTime) {
      this.responseDateTime = responseDateTime;
   }

   public String getNode() {
      return node;
   }

   public void setNode(String node) {
      this.node = node;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifiedUser() {
      return modifiedUser;
   }

   public void setModifiedUser(String modifiedUser) {
      this.modifiedUser = modifiedUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String OBJECT_BO = "OBJECT_BO";

public static final String TYPE = "TYPE";

public static final String MESSAGE_TYPE = "MESSAGE_TYPE";

public static final String SEND_USER_GROUP = "SEND_USER_GROUP";

public static final String SEND_USER = "SEND_USER";

public static final String CONTENT = "CONTENT";

public static final String UP_USER_GROUP = "UP_USER_GROUP";

public static final String UP_USER = "UP_USER";

public static final String UP_MESSAGE_TYPE = "UP_MESSAGE_TYPE";

public static final String UP_DATE_TIME = "UP_DATE_TIME";

public static final String GRADE = "GRADE";

public static final String RESPONSE_DATE_TIME = "RESPONSE_DATE_TIME";

public static final String NODE = "NODE";

public static final String STATUS = "STATUS";

public static final String CREATED_USER = "CREATED_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_USER = "MODIFIED_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "Message{" +
         "handle = " + handle +
         ", site = " + site +
         ", objectBo = " + objectBo +
         ", type = " + type +
         ", messageType = " + messageType +
         ", sendUserGroup = " + sendUserGroup +
         ", sendUser = " + sendUser +
         ", content = " + content +
         ", upUserGroup = " + upUserGroup +
         ", upUser = " + upUser +
         ", upMessageType = " + upMessageType +
         ", upDateTime = " + upDateTime +
         ", grade = " + grade +
         ", responseDateTime = " + responseDateTime +
         ", node = " + node +
         ", status = " + status +
         ", createdUser = " + createdUser +
         ", createdDateTime = " + createdDateTime +
         ", modifiedUser = " + modifiedUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}